Package org.jfree.layouting.layouter.content.statics

## Class StaticToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.statics.StaticToken

- All Implemented Interfaces:
    `ContentToken`
  Direct Known Subclasses:
    `ExternalContentToken`, `FormattedContentToken`, `ResourceContentToken`, `StaticTextToken`

      public abstract class StaticToken
      extends java.lang.Object
      implements ContentToken

  A static content token always defines a fixed textual content. Static tokens hold no reference to any parent, as they have no parent at all.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StaticToken​()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticToken

          protected StaticToken​()